package cn.reghao.oss.store.api.iface;

import cn.reghao.oss.store.api.dto.media.*;

import java.util.List;

/**
 * @author reghao
 * @date 2024-03-07 09:51:23
 */
public interface MediaService {
    VideoInfo getVideoInfo(String videoFileId);
    List<ImageInfo> getImagesInfo(List<String> imageFileIds);
    List<ConvertedImageInfo> getWebpInfo(int loginUser, List<String> imageFileIds);
    AudioInfo getAudioInfo(String audioFileId);
}
